Subject: Re: Help Reviewing History chat

From: [email-masked]
Date: Thu, 2 Mar 2000 00:45:18 -0500

Before spending too much time tweaking, it might be worth
testing it with Bergin to see if it is anything like what he wants
(or can be induced to take).   It's not far from the truth (though
tweaking is warranted).   Here are some amplifications--they
do make it longer, though.

I'll pass for now on coauthorship unless I spend a lot of time
on it.

	Dennis

 > Many universities received UNIX from the Labs, and began to make modifications.
 > In the late 1970s, the most widely known was AUSAM was developed at the
 > University of New South Wales and based on 6th Edition UNIX. Concurrently,
 > Bill Joy at the University of California, Berkeley (UCB) created a new
 > text editor, {\it ex}, and a Pascal compiler for the system, and began to
 > distribute the first Berkeley Software Distribution (1BSD). A second
 > distribution, 2BSD, saw the addition of the shell and editor {\it csh} and
 > {\it vi}.

Actually Ken T did the first version of the UCB Pascal compiler while
on sabbatical at Berkeley, though the production version was
worked on by others later.  I don't know whether Joy was much
involved with this (he could have been).

 > The late 1970s saw the first ports of UNIX to platforms other than the PDP-11.
 > AT\&T ported 7th Edition UNIX to the new Vax platform in 1979. 32V, with
 > no virtual memory support, was then modified at Berkeley to have VM and was
 > released as 3BSD. 32V was also the basis for the commercial products
 > System III and System V from USL.

Just to up the Aussies, don't forget the Wollongong port, done about
the same time as our Interdata work.  The actual sequence:
Almost exactly contemporaneous and independent:  Our Interdata
port, Wollongong's, and and incomplete one by Tom Lyon and others
at Princeton (which probably started earlier, and was to VM/370).
Next, and a bit later, your question: the Vax port (32V) was by Tom London and
John Reiser, in a different research group at Bell Labs.  It was
licensed under essentially the same terms as V7, and did indeed
form the basis for the main BSD distributions (though CSRG
did also continue to have some PDP-11 versions).  Functionally
32V was essentially the same as V7 (nearly a pure port to the VAX).

 > UCB was given a DARPA grant to add Internetworking support to UNIX,
 > and the Computer Systems Research Group (CSRG) at Berkeley took on this
 > task, releasing several versions of the fourth Berkeley Software Distribution

The interesting thing here (though maybe it's too much to go into)
is that although UCB's CSRG did receive important support from
ARPA to create and distribute the BSD systems to ARPA contractors
(universities and corporate as well as in the military), it was explicitly
not to do internetworking support, but rather the system as a whole.
The TCP/IP and Internet support were supposed to be done by
BBN (Bolt Beranek and Newman).   However, CSRG really wanted
to do it themselves, and did.

 > USL believed that Net/2 did in fact contains some remnants of 32V source
 > code, and took the Regents of UCB to court for breach of license conditions
 > and unauthorised distribution of UNIX source code. Eventually, a settlement
 > was reached where CSRG could distribute a `Lite' version of 4BSD in source
 > form, and which USL agreed to contain no UNIX source code. This release
 > was called 4.4BSD-Lite.

Pretty much right.  Actually the thing that inflamed USL was BSDI,
a commercial operation that used the "grey-room" 4.4BSD-Lite
code.  However, the UC was added to the suit in fairly short order.

>  Other rewrites of the Unix
> environment from scratch also exist: Coherent, Minix and the popular Linux.

Maybe the interesting thing about these is that Coherent and Minix
were early, and manifestly done from the specs (things like SVID
and other manuals), which were published; Linux was later, but
likewise from standards.